## soundfonts-creative 1.0

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/usr/share/sounds/sbk $(DESTDIR)/usr/share/sounds/sf2 $(DESTDIR)/etc/timidity
	$(INSTALL) -m 644 src/usr/share/sounds/sbk/*.sbk $(DESTDIR)/usr/share/sounds/sbk
	$(INSTALL) -m 644 src/usr/share/sounds/sf2/*.sf2 $(DESTDIR)/usr/share/sounds/sf2
	$(INSTALL) -m 644 src/etc/timidity/*.cfg $(DESTDIR)/etc/timidity
	ln -s 4gmgsmt.cfg $(DESTDIR)/etc/timidity/ct4mgm.cfg

clean:

=== debian/changelog ===
soundfonts-creative (1.0-2) unstable; urgency=medium

  * [3169bb9] Add missing shebang to postinst and prerm scripts

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 09 Jun 2019 14:34:13 +0200

soundfonts-creative (1.0-1) unstable; urgency=low

  * Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 27 Feb 2016 17:49:44 +0100

=== debian/control ===
Source: soundfonts-creative
Section: non-free/sound
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7

Package: soundfont-emu-2mbgmgs
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: E-mu Systems 2MB GM/GS/MT+SFX SoundFont
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 2 MB SoundFont from E-mu Systems which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.

Package: soundfont-emu-4mbgm
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: E-mu Systems 4MB GM SoundFont
 This is a GM SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB SoundFont from E-mu Systems which includes 128
 presets and 8 drum sets.

Package: soundfont-emu-4mbgmsfx
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: E-mu Systems 4MB GM+SFX SoundFont
 This is a GM+SFX SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB SoundFont from E-mu Systems which includes 12
 presets, 8 drum sets, and 1 sound effects map.

Package: soundfont-emu-8mbgm
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: E-mu Systems 8MB GM SoundFont
 This is a GM SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains an 8 MB SoundFont from E-mu Systems which includes 128
 presets and 8 drum sets.

Package: soundfont-emu-8mbgmsfx
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: E-mu Systems 8MB GM+SFX SoundFont
 This is a GM+SFX SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains an 8 MB SoundFont from E-mu Systems which includes 128
 presets, 8 drum  sets, and 1 sound effects map.

Package: soundfonts-emu
Architecture: all
Depends: soundfont-emu-2mbgmgs, soundfont-emu-4mbgm, soundfont-emu-4mbgmsfx, soundfont-emu-8mbgm, soundfont-emu-8mbgmsfx, ${misc:Depends}
Provides: timidity-instruments
Description: E-mu Systems SoundFonts
 This is a metapackage providing all E-Mu Systems SoundFonts.

Package: soundfont-creative-gm35revc
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs 3.5 MB GM SoundFont
 This is a GM SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 3,5 MB bank from Creative Labs which includes 128
 presets and 8 drum sets.
 .
 It was bundled with the Creative Labs SoundBlaster AWE64.

Package: soundfont-creative-2gmgsmt
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs 2 MB GM/GS/MT+SFX SoundFont (Rev N)
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 2 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster AWE64 and Live!.

Package: soundfont-creative-4gmgsmt
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs 4 MB GM/GS/MT+SFX SoundFont
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster AWE64 and Live!.

Package: soundfont-creative-ct2mgm
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs 2 MB GM/GS/MT+SFX SoundFont (Rev N++)
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 2 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster Audigy.

Package: soundfont-creative-ct4mgm
Architecture: all
Depends: soundfont-creative-4gmgsmt, ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs 4 MB GM/GS/MT+SFX SoundFont (CT4MGM)
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster Audigy.

Package: soundfonts-creative-legacy
Architecture: all
Depends: ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs legacy SoundFonts for AWE32/AWE64
 These are legacy SoundFonts in the old SBK format. They can be loaded in
 hardware MIDI synthesizers included in sound cards like the Creative Labs
 SoundBlaster AWE32 and AWE64.
 .
 They were bundled with the Creative Labs SoundBlaster AWE32 and AWE64.

Package: soundfonts-creative-awe64
Architecture: all
Depends: soundfonts-creative-legacy, soundfont-creative-gm35revc, soundfont-creative-2gmgsmt, soundfont-creative-4gmgsmt, ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs SoundBlaster AWE64 SoundFonts metapackage
 This is a metapackage providing all SoundFonts bundled with the Creative Labs
 SoundBlaster AWE64.

Package: soundfonts-creative-live
Architecture: all
Depends: soundfont-creative-2gmgsmt, soundfont-creative-4gmgsmt, soundfont-emu-8mbgmsfx, ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs SoundBlaster Live! SoundFonts metapackage
 This is a metapackage providing all SoundFonts bundled with the Creative Labs
 SoundBlaster Live!.

Package: soundfonts-creative-audigy
Architecture: all
Depends: soundfont-creative-ct2mgm, soundfont-creative-ct4mgm, ${misc:Depends}
Provides: timidity-instruments
Description: Creative Labs SoundBlaster Audigy SoundFonts metapackage
 This is a metapackage providing all SoundFonts bundled with the Creative Labs
 SoundBlaster Audigy.

## soundfonts-creative 1.1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/usr/share/sounds/sbk $(DESTDIR)/usr/share/sounds/sf2
	$(INSTALL) -m 644 src/usr/share/sounds/sbk/*.sbk $(DESTDIR)/usr/share/sounds/sbk
	$(INSTALL) -m 644 src/usr/share/sounds/sf2/*.sf2 $(DESTDIR)/usr/share/sounds/sf2
	ln -s 4gmgsmt.sf2 $(DESTDIR)/usr/share/sounds/sf2/ct4mgm.sf2

clean:

=== debian/changelog ===
soundfonts-creative (1.1-2~deb9u1) buster; urgency=medium

  * [d1a6285] Set Debian branch in debian/gbp.conf
  * [379d684] Revert Standards-Version and debhelper compat level for Buster

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 02 Oct 2022 20:51:10 +0200

soundfonts-creative (1.1-2) unstable; urgency=medium

  * [d1937fe] Add default-GM/GS.sf3 alternatives

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 02 Oct 2022 20:38:36 +0200

soundfonts-creative (1.1-1) unstable; urgency=medium

  * [5986518] New upstream version 1.1
  * [b2afb52] Use new default-GM / default-GS alternatives
  * [0bc0db7] debian/control: fix E-MU letter case
  * [9809bcb] Bump Standards-Version to 4.5.1
  * [fd21430] Bump debhelper compatibility level to 13
  * [09d56d5] Remove unused lintian override "new-package-should-close-itp-bug"

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 27 Sep 2021 00:05:00 +0200

=== debian/control ===
Source: soundfonts-creative
Section: non-free/sound
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0

Package: soundfont-emu-2mbgmgs
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm, sf2-soundfont-gs, sf3-soundfont-gs
Description: E-MU Systems 2MB GM/GS/MT+SFX SoundFont
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 2 MB SoundFont from E-MU Systems which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.

Package: soundfont-emu-4mbgm
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm
Description: E-MU Systems 4MB GM SoundFont
 This is a GM SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB SoundFont from E-MU Systems which includes 128
 presets and 8 drum sets.

Package: soundfont-emu-4mbgmsfx
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm
Description: E-MU Systems 4MB GM+SFX SoundFont
 This is a GM+SFX SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB SoundFont from E-MU Systems which includes 12
 presets, 8 drum sets, and 1 sound effects map.

Package: soundfont-emu-8mbgm
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm
Description: E-MU Systems 8MB GM SoundFont
 This is a GM SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains an 8 MB SoundFont from E-MU Systems which includes 128
 presets and 8 drum sets.

Package: soundfont-emu-8mbgmsfx
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm
Description: E-MU Systems 8MB GM+SFX SoundFont
 This is a GM+SFX SoundFont, for use with any modern MIDI synthesizer: hardware
 (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains an 8 MB SoundFont from E-MU Systems which includes 128
 presets, 8 drum  sets, and 1 sound effects map.

Package: soundfonts-emu
Architecture: all
Depends: soundfont-emu-2mbgmgs, soundfont-emu-4mbgm, soundfont-emu-4mbgmsfx, soundfont-emu-8mbgm, soundfont-emu-8mbgmsfx, ${misc:Depends}
Description: E-MU Systems SoundFonts
 This is a metapackage providing all E-MU Systems SoundFonts.

Package: soundfont-creative-gm35revc
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm
Description: Creative Labs 3.5 MB GM SoundFont
 This is a GM SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 3,5 MB bank from Creative Labs which includes 128
 presets and 8 drum sets.
 .
 It was bundled with the Creative Labs SoundBlaster AWE64.

Package: soundfont-creative-2gmgsmt
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm, sf2-soundfont-gs, sf3-soundfont-gs
Description: Creative Labs 2 MB GM/GS/MT+SFX SoundFont (Rev N)
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 2 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster AWE64 and Live!.

Package: soundfont-creative-4gmgsmt
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm, sf2-soundfont-gs, sf3-soundfont-gs
Description: Creative Labs 4 MB GM/GS/MT+SFX SoundFont
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster AWE64 and Live!.

Package: soundfont-creative-ct2mgm
Architecture: all
Depends: ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm, sf2-soundfont-gs, sf3-soundfont-gs
Description: Creative Labs 2 MB GM/GS/MT+SFX SoundFont (Rev N++)
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 2 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster Audigy.

Package: soundfont-creative-ct4mgm
Architecture: all
Depends: soundfont-creative-4gmgsmt, ${misc:Depends}
Provides: sf2-soundfont-gm, sf3-soundfont-gm, sf2-soundfont-gs, sf3-soundfont-gs
Description: Creative Labs 4 MB GM/GS/MT+SFX SoundFont (CT4MGM)
 This is a GM/GS/MT+SFX SoundFont, for use with any modern MIDI synthesizer:
 hardware (like the emu10k1 sound card), or software (like FluidSynth).
 .
 This package contains a 4 MB bank from Creative Labs which includes 128
 presets, 8 drum sets, 1 sound effects map, GS varitions, and MT32 mapping.
 .
 It was bundled with the Creative Labs SoundBlaster Audigy.

Package: soundfonts-creative-legacy
Architecture: all
Depends: ${misc:Depends}
Description: Creative Labs legacy SoundFonts for AWE32/AWE64
 These are legacy SoundFonts in the old SBK format. They can be loaded in
 hardware MIDI synthesizers included in sound cards like the Creative Labs
 SoundBlaster AWE32 and AWE64.
 .
 They were bundled with the Creative Labs SoundBlaster AWE32 and AWE64.

Package: soundfonts-creative-awe64
Architecture: all
Depends: soundfonts-creative-legacy, soundfont-creative-gm35revc, soundfont-creative-2gmgsmt, soundfont-creative-4gmgsmt, ${misc:Depends}
Description: Creative Labs SoundBlaster AWE64 SoundFonts metapackage
 This is a metapackage providing all SoundFonts bundled with the Creative Labs
 SoundBlaster AWE64.

Package: soundfonts-creative-live
Architecture: all
Depends: soundfont-creative-2gmgsmt, soundfont-creative-4gmgsmt, soundfont-emu-8mbgmsfx, ${misc:Depends}
Description: Creative Labs SoundBlaster Live! SoundFonts metapackage
 This is a metapackage providing all SoundFonts bundled with the Creative Labs
 SoundBlaster Live!.

Package: soundfonts-creative-audigy
Architecture: all
Depends: soundfont-creative-ct2mgm, soundfont-creative-ct4mgm, ${misc:Depends}
Description: Creative Labs SoundBlaster Audigy SoundFonts metapackage
 This is a metapackage providing all SoundFonts bundled with the Creative Labs
 SoundBlaster Audigy.
